using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Celeste;
using Celeste.Mod;

using YamlDotNet.Serialization;


namespace Bitsbolts {
  public class ModuleSession : EverestModuleSession {
    public SerializedEntityLookup StoredEntities = new SerializedEntityLookup();

    // Ephemeral session data for SaveDataFlagSync
    [YamlIgnore]
    internal HashSet<string> SaveDataFlagsLoaded = new HashSet<string>();
    [YamlIgnore]
    internal HashSet<string> SaveDataFlagsToSave = new HashSet<string>();
    [YamlIgnore]
    internal HashSet<string> SaveDataFlagsToSaveRaw = new HashSet<string>();
  }
}
