using System;
using System.Reflection;


namespace Bitsbolts {
  internal static class ReflectExt {
    internal static string FullTypeName(this MethodBase method) =>
      $"{method.ReflectedType.FullName}.{method.Name}";

    internal static string FullTypeName(this Type type) => type.FullName;
  }
}
