using System;
using System.Linq;
using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Monocle;
using MonoMod.RuntimeDetour;
using MonoMod.Utils;
using Celeste;


namespace Bitsbolts {
  internal static class Screen {
    internal static float Width { get => Engine.Width; }
    internal static float Height { get => Engine.Height; }

    internal static Vector2 Origin { get => new Vector2(0, 0); }
    internal static Vector2 Center { get => new Vector2(Screen.Width, Screen.Height) / 2f; }
  }
}
